cURL
curl --request GET \
--url https://app.aegister.com/api/v1/organizations \
--header 'X-Aegister-Token: <api-key>'import requests
url = "https://app.aegister.com/api/v1/organizations"
headers = {"X-Aegister-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Aegister-Token': '<api-key>'}};
fetch('https://app.aegister.com/api/v1/organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": 0,
"messages": [],
"total": 20,
"data": [
{
"id": 5,
"name": "Sample Organization",
"description": "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer et posuere erat. Phasellus iaculis metus mauris, quis accumsan felis fermentum at.",
"ips": [
"11.22.33.44"
],
"logo": "https://sample.com/logo.svg",
"domains": [
"sample.com"
],
"website": "https://sample.com",
"sectors": [
"Agriculture"
],
"industries": [
"Accounting"
],
"infrastructure": "cloud",
"number_employees": 10,
"contacts": [
{
"name": "John Doe",
"role": "Supervisor",
"email": "jdoe@mail.com",
"phone": "3333333333",
"email_report": true
}
]
}
]
}Organization
Get Organization list
Retrieve Organization list.
The list contains only Organizations the current authenticated user is part of.
GET
/
api
/
v1
/
organizations
cURL
Authorizations
ApiKeyAuthApiKeyQueryParam
Query Parameters
Filter organizations that authenticated user can edit.
Filter organizations by industry.
Max number of reponse items.
Filter by organization name.
Checks if Organization's name contains this value.
This filter is case insensitive.
Offset response items.
Order results by item field.
Filter organizations that authenticated user owns.
Filter organizations by sector.
Response
200 - application/json
Any value different from 0 indicates an error.
More details can be found in messages.
Required range:
0 <= x <= 0Example:
0
If error is 1, contains zero or more details on the error.
Example:
[]
Total number of items that meet the list filter.
This doesn't represent the number of items inside the data array.
Required range:
x >= 0Examples:
20
30
40
Show child attributes
Show child attributes

